---
document: modulemd
version: 2
data:
  name: mariadb
  stream: "10.11"
  version: 9040020240409184437
  context: 8cf767d6
  arch: x86_64
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      galera:
        rationale: Galera package for MariaDB server replication
        ref: f40da32397de1795555592f7b56f9b6e396b78b5
        buildorder: 16
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mariadb:
        rationale: MariaDB package
        ref: 29c53c843768c76286310b93c29a5c9d4d006f59
        buildorder: 8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - galera-0:26.4.16-1.module_el9.4.0+97+c60a7c98.src
    - galera-0:26.4.16-1.module_el9.4.0+97+c60a7c98.x86_64
    - galera-debuginfo-0:26.4.16-1.module_el9.4.0+97+c60a7c98.x86_64
    - galera-debugsource-0:26.4.16-1.module_el9.4.0+97+c60a7c98.x86_64
...
---
document: modulemd
version: 2
data:
  name: mariadb-devel
  stream: "10.11"
  version: 9040020240409184437
  context: 8cf767d6
  arch: x86_64
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      mariadb: [10.11]
      platform: [el9]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      galera:
        rationale: Galera package for MariaDB server replication
        ref: f40da32397de1795555592f7b56f9b6e396b78b5
        buildorder: 16
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mariadb:
        rationale: MariaDB package
        ref: 29c53c843768c76286310b93c29a5c9d4d006f59
        buildorder: 8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
